<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Catch::SourceLineInfo Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structCatch_1_1SourceLineInfo-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Catch::SourceLineInfo Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a2d80932bb4129b1606d1924a5c44be2f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1SourceLineInfo.html#a2d80932bb4129b1606d1924a5c44be2f">SourceLineInfo</a> ()=delete</td></tr>
<tr class="separator:a2d80932bb4129b1606d1924a5c44be2f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48510b82a39a042ab370ed143dd30c10"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1SourceLineInfo.html#a48510b82a39a042ab370ed143dd30c10">SourceLineInfo</a> (char const *_file, std::size_t _line) noexcept</td></tr>
<tr class="separator:a48510b82a39a042ab370ed143dd30c10"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c44c9986c33a9cf842b791374332d41"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1SourceLineInfo.html#a7c44c9986c33a9cf842b791374332d41">SourceLineInfo</a> (<a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> const &amp;other)=default</td></tr>
<tr class="separator:a7c44c9986c33a9cf842b791374332d41"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a6cfc0197357ef4e329bb256aa8a354"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1SourceLineInfo.html#a1a6cfc0197357ef4e329bb256aa8a354">operator=</a> (<a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> const &amp;)=default</td></tr>
<tr class="separator:a1a6cfc0197357ef4e329bb256aa8a354"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ea6179645457b8ec961aec9ca4c5588"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1SourceLineInfo.html#a5ea6179645457b8ec961aec9ca4c5588">SourceLineInfo</a> (<a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> &amp;&amp;) noexcept=default</td></tr>
<tr class="separator:a5ea6179645457b8ec961aec9ca4c5588"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab8469b89d86bdd69b6b9f2b610600258"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1SourceLineInfo.html#ab8469b89d86bdd69b6b9f2b610600258">operator=</a> (<a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> &amp;&amp;) noexcept=default</td></tr>
<tr class="separator:ab8469b89d86bdd69b6b9f2b610600258"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a10a5b5b7dff82971879c2eb8d83f9b3b"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1SourceLineInfo.html#a10a5b5b7dff82971879c2eb8d83f9b3b">empty</a> () const noexcept</td></tr>
<tr class="separator:a10a5b5b7dff82971879c2eb8d83f9b3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af07e4fdeddf8409b91e4f842f6264cf8"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1SourceLineInfo.html#af07e4fdeddf8409b91e4f842f6264cf8">operator==</a> (<a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> const &amp;other) const noexcept</td></tr>
<tr class="separator:af07e4fdeddf8409b91e4f842f6264cf8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af77415416919d2d6030b4be085b92f7a"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1SourceLineInfo.html#af77415416919d2d6030b4be085b92f7a">operator&lt;</a> (<a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> const &amp;other) const noexcept</td></tr>
<tr class="separator:af77415416919d2d6030b4be085b92f7a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d80932bb4129b1606d1924a5c44be2f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1SourceLineInfo.html#a2d80932bb4129b1606d1924a5c44be2f">SourceLineInfo</a> ()=delete</td></tr>
<tr class="separator:a2d80932bb4129b1606d1924a5c44be2f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48510b82a39a042ab370ed143dd30c10"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1SourceLineInfo.html#a48510b82a39a042ab370ed143dd30c10">SourceLineInfo</a> (char const *_file, std::size_t _line) noexcept</td></tr>
<tr class="separator:a48510b82a39a042ab370ed143dd30c10"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c44c9986c33a9cf842b791374332d41"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1SourceLineInfo.html#a7c44c9986c33a9cf842b791374332d41">SourceLineInfo</a> (<a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> const &amp;other)=default</td></tr>
<tr class="separator:a7c44c9986c33a9cf842b791374332d41"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a6cfc0197357ef4e329bb256aa8a354"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1SourceLineInfo.html#a1a6cfc0197357ef4e329bb256aa8a354">operator=</a> (<a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> const &amp;)=default</td></tr>
<tr class="separator:a1a6cfc0197357ef4e329bb256aa8a354"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ea6179645457b8ec961aec9ca4c5588"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1SourceLineInfo.html#a5ea6179645457b8ec961aec9ca4c5588">SourceLineInfo</a> (<a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> &amp;&amp;) noexcept=default</td></tr>
<tr class="separator:a5ea6179645457b8ec961aec9ca4c5588"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab8469b89d86bdd69b6b9f2b610600258"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1SourceLineInfo.html#ab8469b89d86bdd69b6b9f2b610600258">operator=</a> (<a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> &amp;&amp;) noexcept=default</td></tr>
<tr class="separator:ab8469b89d86bdd69b6b9f2b610600258"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a10a5b5b7dff82971879c2eb8d83f9b3b"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1SourceLineInfo.html#a10a5b5b7dff82971879c2eb8d83f9b3b">empty</a> () const noexcept</td></tr>
<tr class="separator:a10a5b5b7dff82971879c2eb8d83f9b3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af07e4fdeddf8409b91e4f842f6264cf8"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1SourceLineInfo.html#af07e4fdeddf8409b91e4f842f6264cf8">operator==</a> (<a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> const &amp;other) const noexcept</td></tr>
<tr class="separator:af07e4fdeddf8409b91e4f842f6264cf8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af77415416919d2d6030b4be085b92f7a"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1SourceLineInfo.html#af77415416919d2d6030b4be085b92f7a">operator&lt;</a> (<a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> const &amp;other) const noexcept</td></tr>
<tr class="separator:af77415416919d2d6030b4be085b92f7a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a24185f1fe039d08a5e0399297c4f1f7e"><td class="memItemLeft" align="right" valign="top">char const  *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1SourceLineInfo.html#a24185f1fe039d08a5e0399297c4f1f7e">file</a></td></tr>
<tr class="separator:a24185f1fe039d08a5e0399297c4f1f7e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a841e5d696c7b9cde24e45e61dd979c77"><td class="memItemLeft" align="right" valign="top">std::size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1SourceLineInfo.html#a841e5d696c7b9cde24e45e61dd979c77">line</a></td></tr>
<tr class="separator:a841e5d696c7b9cde24e45e61dd979c77"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a2d80932bb4129b1606d1924a5c44be2f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2d80932bb4129b1606d1924a5c44be2f">&#9670;&nbsp;</a></span>SourceLineInfo() <span class="overload">[1/8]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Catch::SourceLineInfo::SourceLineInfo </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">delete</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a48510b82a39a042ab370ed143dd30c10"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a48510b82a39a042ab370ed143dd30c10">&#9670;&nbsp;</a></span>SourceLineInfo() <span class="overload">[2/8]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Catch::SourceLineInfo::SourceLineInfo </td>
          <td>(</td>
          <td class="paramtype">char const *&#160;</td>
          <td class="paramname"><em>_file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::size_t&#160;</td>
          <td class="paramname"><em>_line</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a7c44c9986c33a9cf842b791374332d41"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7c44c9986c33a9cf842b791374332d41">&#9670;&nbsp;</a></span>SourceLineInfo() <span class="overload">[3/8]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Catch::SourceLineInfo::SourceLineInfo </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> const &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a5ea6179645457b8ec961aec9ca4c5588"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5ea6179645457b8ec961aec9ca4c5588">&#9670;&nbsp;</a></span>SourceLineInfo() <span class="overload">[4/8]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Catch::SourceLineInfo::SourceLineInfo </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> &amp;&amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">default</span><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a2d80932bb4129b1606d1924a5c44be2f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2d80932bb4129b1606d1924a5c44be2f">&#9670;&nbsp;</a></span>SourceLineInfo() <span class="overload">[5/8]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Catch::SourceLineInfo::SourceLineInfo </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">delete</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a48510b82a39a042ab370ed143dd30c10"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a48510b82a39a042ab370ed143dd30c10">&#9670;&nbsp;</a></span>SourceLineInfo() <span class="overload">[6/8]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Catch::SourceLineInfo::SourceLineInfo </td>
          <td>(</td>
          <td class="paramtype">char const *&#160;</td>
          <td class="paramname"><em>_file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::size_t&#160;</td>
          <td class="paramname"><em>_line</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a7c44c9986c33a9cf842b791374332d41"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7c44c9986c33a9cf842b791374332d41">&#9670;&nbsp;</a></span>SourceLineInfo() <span class="overload">[7/8]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Catch::SourceLineInfo::SourceLineInfo </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> const &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a5ea6179645457b8ec961aec9ca4c5588"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5ea6179645457b8ec961aec9ca4c5588">&#9670;&nbsp;</a></span>SourceLineInfo() <span class="overload">[8/8]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Catch::SourceLineInfo::SourceLineInfo </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> &amp;&amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">default</span><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a10a5b5b7dff82971879c2eb8d83f9b3b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a10a5b5b7dff82971879c2eb8d83f9b3b">&#9670;&nbsp;</a></span>empty() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool Catch::SourceLineInfo::empty </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a10a5b5b7dff82971879c2eb8d83f9b3b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a10a5b5b7dff82971879c2eb8d83f9b3b">&#9670;&nbsp;</a></span>empty() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool Catch::SourceLineInfo::empty </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af77415416919d2d6030b4be085b92f7a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af77415416919d2d6030b4be085b92f7a">&#9670;&nbsp;</a></span>operator&lt;() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool Catch::SourceLineInfo::operator&lt; </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> const &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af77415416919d2d6030b4be085b92f7a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af77415416919d2d6030b4be085b92f7a">&#9670;&nbsp;</a></span>operator&lt;() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool Catch::SourceLineInfo::operator&lt; </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> const &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab8469b89d86bdd69b6b9f2b610600258"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab8469b89d86bdd69b6b9f2b610600258">&#9670;&nbsp;</a></span>operator=() <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a>&amp; Catch::SourceLineInfo::operator= </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> &amp;&amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">default</span><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab8469b89d86bdd69b6b9f2b610600258"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab8469b89d86bdd69b6b9f2b610600258">&#9670;&nbsp;</a></span>operator=() <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a>&amp; Catch::SourceLineInfo::operator= </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> &amp;&amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">default</span><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a1a6cfc0197357ef4e329bb256aa8a354"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1a6cfc0197357ef4e329bb256aa8a354">&#9670;&nbsp;</a></span>operator=() <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a>&amp; Catch::SourceLineInfo::operator= </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> const &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a1a6cfc0197357ef4e329bb256aa8a354"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1a6cfc0197357ef4e329bb256aa8a354">&#9670;&nbsp;</a></span>operator=() <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a>&amp; Catch::SourceLineInfo::operator= </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> const &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af07e4fdeddf8409b91e4f842f6264cf8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af07e4fdeddf8409b91e4f842f6264cf8">&#9670;&nbsp;</a></span>operator==() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool Catch::SourceLineInfo::operator== </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> const &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af07e4fdeddf8409b91e4f842f6264cf8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af07e4fdeddf8409b91e4f842f6264cf8">&#9670;&nbsp;</a></span>operator==() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool Catch::SourceLineInfo::operator== </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> const &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a24185f1fe039d08a5e0399297c4f1f7e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a24185f1fe039d08a5e0399297c4f1f7e">&#9670;&nbsp;</a></span>file</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char const  * Catch::SourceLineInfo::file</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a841e5d696c7b9cde24e45e61dd979c77"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a841e5d696c7b9cde24e45e61dd979c77">&#9670;&nbsp;</a></span>line</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::size_t Catch::SourceLineInfo::line</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>backend/src/lib/game/<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
